Module javafx.base
Package javafx.util

# Class StringConverter<T>

java.lang.Object
javafx.util.StringConverter<T>

Direct Known Subclasses:
  `BigDecimalStringConverter`, `BigIntegerStringConverter`, `BooleanStringConverter`, `ByteStringConverter`, `CharacterStringConverter`, `DateTimeStringConverter`, `DefaultStringConverter`, `DoubleStringConverter`, `FloatStringConverter`, `FormatStringConverter`, `IntegerStringConverter`, `LocalDateStringConverter`, `LocalDateTimeStringConverter`, `LocalTimeStringConverter`, `LongStringConverter`, `NumberAxis.DefaultFormatter`, `NumberStringConverter`, `ShortStringConverter`

public abstract class StringConverter<T> extends Object
Converter defines conversion behavior between strings and objects. The type of objects and formats of strings are defined by the subclasses of Converter.

Since:
  JavaFX 2.0

## Constructor Summary

Constructors
Constructor
Description
`StringConverter()`

## Method Summary

Modifier and Type
Method
Description
`abstract T`
`fromString(String string)`
Converts the string provided into an object defined by the specific converter.
`abstract String`
`toString(T object)`
Converts the object provided into its string form.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### StringConverter

public StringConverter()

## Method Details

### toString

public abstract String toString(T object)
Converts the object provided into its string form. Format of the returned string is defined by the specific converter.

Parameters:
  `object` - the object of type `T` to convert
Returns:
  a string representation of the object passed in.

### fromString

public abstract T fromString(String string)
Converts the string provided into an object defined by the specific converter. Format of the string and type of the resulting object is defined by the specific converter.

Parameters:
  `string` - the `String` to convert
Returns:
  an object representation of the string passed in.